# CbcHeuristicDiveLineSearch Class Reference

DiveLineSearch class. More...

`#include <CbcHeuristicDiveLineSearch.hpp>`

Inheritance diagram for CbcHeuristicDiveLineSearch:
[legend]
Collaboration diagram for CbcHeuristicDiveLineSearch:
[legend]

List of all members.

## Public Member Functions
| CbcHeuristicDiveLineSearch ()
| CbcHeuristicDiveLineSearch (CbcModel &model)
| CbcHeuristicDiveLineSearch (const CbcHeuristicDiveLineSearch &)
| ~CbcHeuristicDiveLineSearch ()
virtual CbcHeuristicDiveLineSearch * | clone () const
| Clone.
CbcHeuristicDiveLineSearch & | operator= (const CbcHeuristicDiveLineSearch &rhs)
| Assignment operator.
virtual void | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
virtual bool | selectVariableToBranch (OsiSolverInterface *solver, const double *newSolution, int &bestColumn, int &bestRound)
| Selects the next variable to branch on.

## Detailed Description

DiveLineSearch class.

Definition at line 14 of file CbcHeuristicDiveLineSearch.hpp.

## Constructor & Destructor Documentation

CbcHeuristicDiveLineSearch::CbcHeuristicDiveLineSearch | ( |  | ) |

CbcHeuristicDiveLineSearch::CbcHeuristicDiveLineSearch | ( | CbcModel & | model | ) |

CbcHeuristicDiveLineSearch::CbcHeuristicDiveLineSearch | ( | const CbcHeuristicDiveLineSearch & |  | ) |

CbcHeuristicDiveLineSearch::~CbcHeuristicDiveLineSearch | ( |  | ) |

## Member Function Documentation

virtual CbcHeuristicDiveLineSearch* CbcHeuristicDiveLineSearch::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcHeuristicDive.

CbcHeuristicDiveLineSearch& CbcHeuristicDiveLineSearch::operator= | ( | const CbcHeuristicDiveLineSearch & | rhs | ) |

Assignment operator.

Reimplemented from CbcHeuristicDive.

virtual void CbcHeuristicDiveLineSearch::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcHeuristicDive.

virtual bool CbcHeuristicDiveLineSearch::selectVariableToBranch | ( | OsiSolverInterface * | solver,
|  | const double * | newSolution,
|  | int & | bestColumn,
|  | int & | bestRound |
| ) |  |  | `[virtual]`

Selects the next variable to branch on.

Returns true if all the fractional variables can be trivially rounded. Returns false, if there is at least one fractional variable that is not trivially roundable. In this case, the bestColumn returned will not be trivially roundable.

Implements CbcHeuristicDive.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.1/Cbc/src/CbcHeuristicDiveLineSearch.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines